Last Comment Bug 6768 - [BLOCKER]Need architecture for focused text widget
: [BLOCKER]Need architecture for focused text widget
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: XUL (show other bugs)
: Trunk
: All Windows NT
: P3 blocker (vote)
: M7
Assigned To: David Hyatt
: phillip
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-19 16:43 PDT by tague
Modified: 1999-06-16 01:32 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description tague 1999-05-19 16:43:25 PDT
I need an architecture and implementation for focus, particularly finding the
focused text widget, in seamonkey.

Currently event dispatch is done using mouse coordinates assoicated with a
particular event; however, not all text input events (like the ones used for
input methods) are associated with a mouse coordinate.

In order to proceed on implementing input methods for the Macintosh and UNIX, we
need to have an architecture and implementation of focus.  We also need focus so
that we can finalize design issues with the editor team.

Please read: http://www.mozilla.org/projects/intl/input-method-spec.html for
details on input methods and how we plan to support them.  Please contact me for
more details and specifics about the requirements.
Comment 1 Peter Trudelle 1999-05-25 11:09:59 PDT
reassigning to hyatt
Comment 2 David Hyatt 1999-05-25 12:09:59 PDT
Read http://www.mozilla.org/xpfe/xptoolkit/focus.html for current thoughts.
Comment 3 David Hyatt 1999-05-25 12:09:59 PDT
Oops. Wrong URL.  Make that

http://www.mozilla.org/xpfe/xptoolkit/events.html
Comment 4 David Hyatt 1999-06-01 15:58:59 PDT
You can now observe the focused text widget.  Marking fixed.
Comment 5 phillip 1999-06-15 18:31:59 PDT
code level fix, marking verified.
Comment 6 bobj 1999-06-16 01:32:59 PDT
Tague,  Any feedback on this?  Do you have what you need now?

Note You need to log in before you can comment on or make changes to this bug.